import binarysearchtree.*;
import binarytree.*;

class UseBinarySearchTree {

    public static void main(String[] args) {

	BinarySearchTree tree = new BinarySearchTree();

	tree.insert(new Person("Scott", "123-4567"));
	tree.insert(new Person("Haley", "421-9382"));
	tree.insert(new Person("Michelle", "123-3213"));
	tree.insert(new Person("Cory", "01-111-2434-32345"));
	tree.insert(new Person("Donna", "132-432-5322"));
	tree.insert(new Person("Steve", "123-323-2343"));

	TreeIterator btIterator = new TreeIterator(tree);
	btIterator.setInorder();

	System.out.println("The whole tree, in order:");
	while(btIterator.hasNext()) {
	    System.out.println(btIterator.next());
	}
    }
}

class Person extends KeyedItem {
    private String name;
    private String phoneNumber;

    public Person(String name, String phone) {
	super(name);
	this.name = name;
	phoneNumber = phone;
    }

    public String toString() {
	return getKey() + ": " + phoneNumber;
    }
}
